MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025908Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-09 20:372015-05-14 16:31
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025908: BSpline (U2 < U1) in HLRBRep_HLRToShape
Descriptionthe projection fails with a Standard_DomainError in Geom_BSplineCurve::Segment

#4  0x00007f8fffc6a3b4 in Standard_DomainError::Raise (
    AString=0x7f8fff646a2f "Geom_BSplineCurve::Segment")
    at occt/drv/Standard/Standard_DomainError_0.cxx:10
#5  0x00007f8fff597a8d in Geom_BSplineCurve::Segment (this=0x896d0a0, 
    U1=0.86222703235769194, U2=0.73878890484209481)
    at occt/src/Geom/Geom_BSplineCurve.cxx:527
#6  0x00007f8ff64e4df2 in HLRBRep::MakeEdge (ec=..., U1=0.86222703235769194, 
    U2=0.73878890484209481)
    at occt/src/HLRBRep/HLRBRep.cxx:98
0000007  0x00007f8ff6500267 in HLRBRep_HLRToShape::DrawEdge (this=0x7ffcf3ccdcc0, 
    visible=0, inFace=1, typ=5, ed=..., Result=..., added=@0x7ffcf3ccd9ec: 1, 
    In3d=0)
    at occt/src/HLRBRep/HLRBRep_HLRToShape.cxx:238
0000008  0x00007f8ff64ffe0c in HLRBRep_HLRToShape::DrawFace (this=0x7ffcf3ccdcc0, 
    visible=0, typ=5, iface=125, DS=..., Result=..., added=@0x7ffcf3ccd9ec: 1, 
    In3d=0)
    at occt/src/HLRBRep/HLRBRep_HLRToShape.cxx:168
0000009  0x00007f8ff64ffa1c in HLRBRep_HLRToShape::InternalCompound (this=
    0x7ffcf3ccdcc0, typ=5, visible=0, S=..., In3d=0)
    at occt/src/HLRBRep/HLRBRep_HLRToShape.cxx:108
#10 0x00007f8ff566e4a2 in HLRBRep_HLRToShape::HCompound (this=0x7ffcf3ccdcc0)
    at occt/inc/HLRBRep_HLRToShape.lxx:118


version tested: 6.8.1.dev-458c2c5
Steps To Reproducesource hlr-bspline-clone2.tcl
TagsNo tags attached.
Test case numberbugs modalg_6(011) bug25908
Attached Fileszip file icon hlr-bspline-clone2.zip (103,016 bytes) 2015-03-09 20:37
? file icon hlr-bspline-clone3-tcl-Cut005.brep (95,360 bytes) 2015-03-10 02:23
? file icon hlr-bspline-clone3.tcl (476 bytes) 2015-03-15 12:32

- Relationships

-  Notes
(0038216)
shoogen (reporter)
2015-03-10 02:26

i removed some non-related features from the shape. please notice that the shape is rotated and therefore needs to use another projection axis.

pload MODELING
restore hlr-bspline-clone3-tcl-Cut005.brep Cut005
hprj Shape2DView006_proj 0 0 0 1 0 0 0 0 1
houtl Shape2DView006_outl Cut005
hfill Shape2DView006_outl Shape2DView006_proj 0
hload Shape2DView006_outl
hsetprj Shape2DView006_proj
hupdate
hhide
hres2d
(0039537)
shoogen (reporter)
2015-04-09 20:49

reverting #0023625 and 0023709 fixes the symptoms. (See 0025813)
(0040017)
git (administrator)
2015-04-17 22:17

Branch CR25908 has been created by msv.

SHA-1: d4c5f067ab251c0a44de87211b6af79c2749f108


Detailed log of new commits:

Author: msv
Date: Fri Apr 17 22:17:20 2015 +0300

    0025908: BSpline (U2 < U1) in HLRBRep_HLRToShape
(0040018)
msv (developer)
2015-04-17 22:18

Dear jgv, please review the branch CR25908.
(0040047)
jgv (developer)
2015-04-20 15:20

Reviewed.
(0040176)
mkv (tester)
2015-04-23 19:01

Dear BugMaster,
Branch CR25908 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: d4c5f067ab251c0a44de87211b6af79c2749f108

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 4 (4 on master)
Windows: 0 (0 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25908-master-occt-64/Debian60-64/bugs/modalg_6/bug25908.html [^]
http://occt-tests/CR25908-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25908.html [^]
bugs modalg_6(011) bug25908: OK

Testing on Linux:
occt component :
Total MEMORY difference: 95019336 / 94539834 [+0.51%]
Total CPU difference: 55216.5699999997 / 52229.55999999946 [+5.72%]
products component :
Total MEMORY difference: 23688801 / 23676267 [+0.05%]
Total CPU difference: 18478.17999999999 / 17777.469999999976 [+3.94%]

Testing on Windows:
occt component :
Total MEMORY difference: 57151410 / 57162809 [-0.02%]
Total CPU difference: 16019.945491298997 / 16283.041177799078 [-1.62%]
products component :
Total MEMORY difference: 15560464 / 15564896 [-0.03%]
Total CPU difference: 6406.24346539998 / 6585.207812599981 [-2.72%]

There are no differences in images found by testdiff.
(0040177)
git (administrator)
2015-04-23 19:01

Branch CR25908 has been updated by mkv.

SHA-1: 823773331f116985a14ced8501081258ef80c82d


Detailed log of new commits:

Author: mkv
Date: Thu Apr 23 19:01:09 2015 +0300

    Test case for issue CR25908

(0040179)
mkv (tester)
2015-04-23 19:02

Dear msv,
could you please review following test case
bugs modalg_6(011) bug25908
(0040198)
msv (developer)
2015-04-24 11:30

OK.
(0040391)
mkv (tester)
2015-04-28 20:54

Dear BugMaster,
Branch CR25908 is TESTED.
(0041022)
git (administrator)
2015-05-14 16:31

Branch CR25908 has been deleted by inv.

SHA-1: 823773331f116985a14ced8501081258ef80c82d

- Related Changesets
occt: master 46b2b6af
Timestamp: 2015-04-30 11:22:56
Author: msv
Committer: bugmaster
Details ] Diff ]
0025908: BSpline (U2 < U1) in HLRBRep_HLRToShape

Test case for issue CR25908
mod - src/HLRBRep/HLRBRep_Hider.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug25908 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-09 20:37 shoogen New Issue
2015-03-09 20:37 shoogen Assigned To => msv
2015-03-09 20:37 shoogen File Added: hlr-bspline-clone2.zip
2015-03-10 02:23 shoogen File Added: hlr-bspline-clone3-tcl-Cut005.brep
2015-03-10 02:26 shoogen Note Added: 0038216
2015-03-15 12:32 shoogen File Added: hlr-bspline-clone3.tcl
2015-04-09 20:49 shoogen Note Added: 0039537
2015-04-10 09:52 abv Target Version => 6.9.0
2015-04-17 22:17 git Note Added: 0040017
2015-04-17 22:18 msv Note Added: 0040018
2015-04-17 22:18 msv Assigned To msv => jgv
2015-04-17 22:18 msv Status new => resolved
2015-04-20 15:20 jgv Note Added: 0040047
2015-04-20 15:20 jgv Assigned To jgv => bugmaster
2015-04-20 15:20 jgv Status resolved => reviewed
2015-04-20 20:35 mkv Assigned To bugmaster => mkv
2015-04-23 19:01 mkv Note Added: 0040176
2015-04-23 19:01 git Note Added: 0040177
2015-04-23 19:02 mkv Note Added: 0040179
2015-04-23 19:02 mkv Assigned To mkv => msv
2015-04-23 19:02 mkv Status reviewed => feedback
2015-04-23 19:02 mkv Test case number => bugs modalg_6(011) bug25908
2015-04-24 11:30 msv Note Added: 0040198
2015-04-24 11:30 msv Assigned To msv => bugmaster
2015-04-24 11:30 msv Status feedback => reviewed
2015-04-24 15:50 mkv Assigned To bugmaster => mkv
2015-04-28 20:54 mkv Note Added: 0040391
2015-04-28 20:54 mkv Assigned To mkv => bugmaster
2015-04-28 20:54 mkv Status reviewed => tested
2015-05-07 11:18 bugmaster Changeset attached => occt master 46b2b6af
2015-05-07 11:18 bugmaster Status tested => verified
2015-05-07 11:18 bugmaster Resolution open => fixed
2015-05-14 15:28 user533 Status verified => closed
2015-05-14 15:30 user533 Fixed in Version => 6.9.0
2015-05-14 16:31 git Note Added: 0041022


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker